## ros-indigo-hokuyo-node 1.7.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(hokuyo_node)

find_package(Boost REQUIRED COMPONENTS system thread)

# Utilities that use log4cxx - getID and getFirmwareVersion
find_library(LOG4CXX_LIBRARY log4cxx)
if(NOT LOG4CXX_LIBRARY)
  message(FATAL_ERROR "Couldn't find log4cxx library")
endif()

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED
  COMPONENTS
    diagnostic_updater
    driver_base
    dynamic_reconfigure
    rosconsole
    roscpp
    self_test
    sensor_msgs
)

include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS})

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/Hokuyo.cfg)

# Export with catkin_package
catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS rosconsole
    LIBRARIES libhokuyo
)

# Hokuyo library
add_library(libhokuyo src/hokuyo.cpp)
target_link_libraries(libhokuyo ${rosconsole_LIBRARIES})

# hokuyo_node
add_executable(hokuyo_node src/hokuyo_node.cpp)
add_dependencies(hokuyo_node ${PROJECT_NAME}_gencfg)
target_link_libraries(hokuyo_node
  libhokuyo
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

add_executable(getID src/getID.cpp)
target_link_libraries(getID libhokuyo ${LOG4CXX_LIBRARY} ${catkin_LIBRARIES})

add_executable(getFirmwareVersion src/getFirmwareVersion.cpp)
target_link_libraries(getFirmwareVersion
  libhokuyo
  ${LOG4CXX_LIBRARY}
  ${catkin_LIBRARIES}
)

# Install targets
install(TARGETS libhokuyo DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS hokuyo_node getID getFirmwareVersion
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES test/TODO test/unplug_test.launch COPYING.lib hokuyo_test.launch hokuyo_test.vcg hokuyo_test_intensity.launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== src/CMakeLists.txt ===
find_library(LOG4CXX_LIBRARY log4cxx)
if(NOT LOG4CXX_LIBRARY)
  message(FATAL_ERROR "Couldn't find log4cxx library")
endif()

rosbuild_add_executable(getID getID.cpp)
target_link_libraries(getID libhokuyo ${LOG4CXX_LIBRARY})

rosbuild_add_executable(getFirmwareVersion getFirmwareVersion.cpp)
target_link_libraries(getFirmwareVersion libhokuyo ${LOG4CXX_LIBRARY})

=== debian/changelog ===
ros-indigo-hokuyo-node (1.7.8-1trusty) trusty; urgency=high

  * Merge pull request #8 <https://github.com/ros-drivers/hokuyo_node/issues/8> from trainman419/hydro-devel
    Use rosconsole to set logger levels. Fixes #7 <https://github.com/ros-drivers/hokuyo_node/issues/7>
  * Use rosconsole to set logger levels. Fixes #7 <https://github.com/ros-drivers/hokuyo_node/issues/7>
  * Added changelog
  * Contributors: Chad Rockey, chadrockey, trainman419

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 15 Jan 2014 08:00:00 -0000

ros-indigo-hokuyo-node (1.7.7-1trusty) trusty; urgency=high

  * fixing value interpretation for smaller lasers (04LX)

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 17 Jul 2013 07:00:00 -0000

ros-indigo-hokuyo-node (1.7.6-1trusty) trusty; urgency=high

  * Removed REP 117 Tick/Tock for Hydro.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 25 Apr 2013 07:00:00 -0000

ros-indigo-hokuyo-node (1.7.5-1trusty) trusty; urgency=high

  * Added install targets for various files.
  * Added install targets.
  * Fixed two compile errors on OS X with clang
  * Fixed dynamic_reconfigure build bug and refactor
  * Missing include file.
  * Catkinizing
  * Tock on REP 117.  Will now default to True.  Warns if not set or false.
  * Had to actually add boost directors and link to boost::thread in the CMakeLists
  * Removed call to directory with no CMakeLists.txt
  * explicitly link log4cxx
  * Updated hokuyo node to add the use_rep_117 parameter and output error cases accordingly.
  * Added a launch file to help test whether hokuyo unplug causes SIGHUP.
  * Now only polls when there is no buffered data. Otherwise could lock up. Now only checks timeout once in read loop. Now detects EOF. Verified that no sighup on unplug. Now just need to test on Mac. Should fix #3826 <https://github.com/ros-drivers/hokuyo_node/issues/3826>.
  * Tweaked the tty settings to try to get hokuyo_node working on Mac. Seems to be working. Now need to test that I haven't broken anything.
  * Now IO to hokuyo is purely file descriptor based. Should help with #3826 <https://github.com/ros-drivers/hokuyo_node/issues/3826>.
  * Changed open with fopen in the hokuyo library. This allow the NO_CTTY and O_NONBLOCK flags to be set at open time, which simplifies the code a bit. Still need to verify that CTTY actually works.
  * Added Ubuntu platform tags to manifest
  * Fixed linker export in manifest.
  * Now blocks SIGHUP if there isn't a handler for it.
  * Updated warning message when angular range is being limited for safety to give more data on why the problem is happening.
  * Increased the max_safe_angular_range for 1.16.01 firmware.
  * Correcting console output in getFirmwareVersion
  * Added error code to diagnostic summary message as requested by #3705 <https://github.com/ros-drivers/hokuyo_node/issues/3705>.
  * Added getFirmwareVersion tool.
  * Improved angle limiting on 30LX so that any sufficiently limited angular rance will work. Also reduced the range to 95 degrees/cluster, because that's what it takes to get good data.
  * Made the allow_unsafe_settings warning message appear at more appropriate times.
  * Added an allow_unsafe_settings option to bypass the UTM-30LX angular range limits.
  * Added detection of 30LX, and automatic angle limiting in that case to prevent laser crashes.
  * Added optional logging of hokuyo transactions. Have a small test that crashes the laser.
  * Had add algorithm include in wrong place.
  * Added missing include of algorithm
  * Replaced the time calibration method. The new one is much faster, and much less sensitive to the massive clock error on the new hokuyo firmware. Added a test program that can be used for exploring hokuyo timing issues.
  * Added code to detect the new hokuyo firmware version, and use a hard-coded latency for it. Now calls calibration code each time the device_id changes, instead of only once at startup.
  * Made some more methods public so that other programs can do relatively low-level access.
  * Added queryVersionInformation method to allow the version information to be explicitely reread at a time later than the open call.
  * Fixed typo in previous commit.
  * Made hokuyo export libhokuyo. Enhances external API (but it is an experimental API).
  * Added ability to clear the latency set by calcLatency. Added currently used latency and time offset to diagnostics.
  * Added time_offset parameter to allow tweaking of time offset.
  * Took out compile twice hack
  * preparing laser_drivers 1.0.0. Updated manifest descriptions slightly
  * Changed diagnostic level messages.
  * Previous fix to clear_window was broken. Moved to postOpenHook instead.
  * Moved clear_window for frequency diagnostics to doStart so that the diagnostics get reset on any start event. (Was only in reconfigure events.)
  * Tweaked a message. (Calibration will take up to a minute.)
  * Cleaned up messages. Now says when it has started streaming. Made reads non-blocking to avoid lockup if concurrent access to the port happens. Added workaround for limited precision with which parameters are stored on the parameter server. Merged Connection Status diagnostic into Driver Status diagnostic.
  * Added TODO list of tests
  * Made turning off laser more robust. Previously there were errors if the turn off command happened just as a scan was arriving.
  * Rearranged stop message to be after the scanning actually stops.
  * Now only checks angle ranges and intensity support during config_update in the open state. Checking those in the running state was wreaking havoc, as it should.
  * Got rid of all output to stderr when getID is in quiet mode.
  * Made the serial number scheme compatible with how it used to be (always H in front), but compatible with long serial numbers (don't start with H when returned by device).
  * Made getID retry a few times as the hokuyo takes a while before it can be talked to after it is plugged in.


=== debian/control ===
Source: ros-indigo-hokuyo-node
Section: misc
Priority: extra
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx10-dev, ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-driver-base, ros-indigo-dynamic-reconfigure, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-self-test, ros-indigo-sensor-msgs
Homepage: http://www.ros.org/wiki/hokuyo_node
Standards-Version: 3.9.2

Package: ros-indigo-hokuyo-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx10-dev, ros-indigo-diagnostic-updater, ros-indigo-driver-base, ros-indigo-dynamic-reconfigure, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-self-test, ros-indigo-sensor-msgs
Description: A ROS node to provide access to SCIP 2.0-compliant Hokuyo laser range finders (including 04LX).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-hokuyo-node//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
